// source: v1/dictionary/culture_grow_stage.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var v1_dictionary_common_dictionary_common_pb = require('../../v1/dictionary_common/dictionary_common_pb.js');
goog.object.extend(proto, v1_dictionary_common_dictionary_common_pb);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.CultureGrowStage', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.CultureGrowStage, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.CultureGrowStage.displayName = 'proto.fcp.dictionary.v1.dictionary.CultureGrowStage';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.displayName = 'proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.displayName = 'proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.displayName = 'proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.displayName = 'proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.displayName = 'proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.CultureGrowStage.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    name: jspb.Message.getFieldWithDefault(msg, 2, ""),
    image: jspb.Message.getFieldWithDefault(msg, 3, ""),
    stageOrder: jspb.Message.getFieldWithDefault(msg, 4, 0),
    cultureId: jspb.Message.getFieldWithDefault(msg, 5, 0),
    cultureName: jspb.Message.getFieldWithDefault(msg, 6, ""),
    hash: (f = msg.getHash()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    deleted: (f = msg.getDeleted()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f),
    createdBy: (f = msg.getCreatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    createdAt: (f = msg.getCreatedAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f),
    updatedBy: (f = msg.getUpdatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updatedAt: (f = msg.getUpdatedAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.CultureGrowStage;
  return proto.fcp.dictionary.v1.dictionary.CultureGrowStage.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setName(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setImage(value);
      break;
    case 4:
      var value = /** @type {number} */ (reader.readInt32());
      msg.setStageOrder(value);
      break;
    case 5:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setCultureId(value);
      break;
    case 6:
      var value = /** @type {string} */ (reader.readString());
      msg.setCultureName(value);
      break;
    case 21:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setHash(value);
      break;
    case 22:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDeleted(value);
      break;
    case 23:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedBy(value);
      break;
    case 24:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setCreatedAt(value);
      break;
    case 25:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUpdatedBy(value);
      break;
    case 26:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setUpdatedAt(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.CultureGrowStage.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getName();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getImage();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getStageOrder();
  if (f !== 0) {
    writer.writeInt32(
      4,
      f
    );
  }
  f = message.getCultureId();
  if (f !== 0) {
    writer.writeInt64(
      5,
      f
    );
  }
  f = message.getCultureName();
  if (f.length > 0) {
    writer.writeString(
      6,
      f
    );
  }
  f = message.getHash();
  if (f != null) {
    writer.writeMessage(
      21,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDeleted();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedBy();
  if (f != null) {
    writer.writeMessage(
      23,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedAt();
  if (f != null) {
    writer.writeMessage(
      24,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedBy();
  if (f != null) {
    writer.writeMessage(
      25,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedAt();
  if (f != null) {
    writer.writeMessage(
      26,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional string name = 2;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setName = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional string image = 3;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getImage = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setImage = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * optional int32 stage_order = 4;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getStageOrder = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 4, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setStageOrder = function(value) {
  return jspb.Message.setProto3IntField(this, 4, value);
};


/**
 * optional int64 culture_id = 5;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getCultureId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 5, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setCultureId = function(value) {
  return jspb.Message.setProto3IntField(this, 5, value);
};


/**
 * optional string culture_name = 6;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getCultureName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 6, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setCultureName = function(value) {
  return jspb.Message.setProto3StringField(this, 6, value);
};


/**
 * optional google.protobuf.StringValue hash = 21;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getHash = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 21));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setHash = function(value) {
  return jspb.Message.setWrapperField(this, 21, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.clearHash = function() {
  return this.setHash(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.hasHash = function() {
  return jspb.Message.getField(this, 21) != null;
};


/**
 * optional google.protobuf.BoolValue deleted = 22;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getDeleted = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 22));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setDeleted = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.clearDeleted = function() {
  return this.setDeleted(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.hasDeleted = function() {
  return jspb.Message.getField(this, 22) != null;
};


/**
 * optional google.protobuf.StringValue created_by = 23;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getCreatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 23));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setCreatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 23, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.clearCreatedBy = function() {
  return this.setCreatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.hasCreatedBy = function() {
  return jspb.Message.getField(this, 23) != null;
};


/**
 * optional google.protobuf.Timestamp created_at = 24;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getCreatedAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 24));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setCreatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 24, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.clearCreatedAt = function() {
  return this.setCreatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.hasCreatedAt = function() {
  return jspb.Message.getField(this, 24) != null;
};


/**
 * optional google.protobuf.StringValue updated_by = 25;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getUpdatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 25));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setUpdatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 25, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.clearUpdatedBy = function() {
  return this.setUpdatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.hasUpdatedBy = function() {
  return jspb.Message.getField(this, 25) != null;
};


/**
 * optional google.protobuf.Timestamp updated_at = 26;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.getUpdatedAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 26));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.setUpdatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 26, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.clearUpdatedAt = function() {
  return this.setUpdatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStage.prototype.hasUpdatedAt = function() {
  return jspb.Message.getField(this, 26) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: (f = msg.getId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    name: (f = msg.getName()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    cultureId: (f = msg.getCultureId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    deleted: (f = msg.getDeleted()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter;
  return proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setId(value);
      break;
    case 2:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setName(value);
      break;
    case 5:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setCultureId(value);
      break;
    case 22:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDeleted(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getName();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getCultureId();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getDeleted();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
};


/**
 * optional google.protobuf.Int64Value id = 1;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.getId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 1));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.setId = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.clearId = function() {
  return this.setId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.hasId = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional google.protobuf.StringValue name = 2;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.getName = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 2));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.setName = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.clearName = function() {
  return this.setName(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.hasName = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.Int64Value culture_id = 5;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.getCultureId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 5));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.setCultureId = function(value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.clearCultureId = function() {
  return this.setCultureId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.hasCultureId = function() {
  return jspb.Message.getField(this, 5) != null;
};


/**
 * optional google.protobuf.BoolValue deleted = 22;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.getDeleted = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 22));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.setDeleted = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.clearDeleted = function() {
  return this.setDeleted(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.prototype.hasDeleted = function() {
  return jspb.Message.getField(this, 22) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.toObject(includeInstance, f),
    sortingsList: jspb.Message.toObjectList(msg.getSortingsList(),
    v1_dictionary_common_dictionary_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest;
  return proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.Sorting;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSortings(value);
      break;
    case 3:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationRequest;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional CultureGrowStageFilter filter = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary.CultureGrowStageFilter|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated fcp.dictionary.v1.dictionary_common.Sorting sortings = 2;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.getSortingsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_common_dictionary_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.setSortingsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_common.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_common.Sorting}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.addSortings = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.dictionary.v1.dictionary_common.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.clearSortingsList = function() {
  return this.setSortingsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationRequest pagination = 3;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    proto.fcp.dictionary.v1.dictionary.CultureGrowStage.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse;
  return proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.CultureGrowStage;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.CultureGrowStage.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationResponse;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.CultureGrowStage.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * repeated CultureGrowStage items = 1;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary.CultureGrowStage>}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary.CultureGrowStage>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.dictionary.v1.dictionary.CultureGrowStage, 1));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary.CultureGrowStage>} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary.CultureGrowStage}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.dictionary.v1.dictionary.CultureGrowStage, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationResponse pagination = 2;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListCultureGrowStageResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest;
  return proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.dictionary.v1.dictionary.CultureGrowStage.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse;
  return proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.CultureGrowStage;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.CultureGrowStage.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.CultureGrowStage.serializeBinaryToWriter
    );
  }
};


/**
 * optional CultureGrowStage item = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary.CultureGrowStage}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.prototype.getItem = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary.CultureGrowStage} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary.CultureGrowStage, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary.CultureGrowStage|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.GetCultureGrowStageResponse.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};


goog.object.extend(exports, proto.fcp.dictionary.v1.dictionary);
